"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Optimistic response generation utility method
//
function generateOptimisticResponseForMutation({ operationType, entityName, objects }) {
    const optimisticResponse = {
        __typename: "mutation_root",
        [`${operationType}_${entityName}`]: {
            affected_rows: objects.length,
            returning: objects.map(entity => {
                return { ...entity, __typename: entityName };
            }),
            __typename: `\${entityName}_mutation_response`
        }
    };
    return optimisticResponse;
}
exports.generateOptimisticResponseForMutation = generateOptimisticResponseForMutation;
//# sourceMappingURL=utils.js.map